import { request } from 'umi';

export default {
  /**获取物料类型 */
  getTypeList(params, options) {
    return request('/kitchen/api/product-type/type-list', {
      method: 'GET',
      params: {
        ...params,
      },
    });
  },
  GetDicList(TypeCode) {
    // http://localhost:7002
    return request(`/kitchen/api/dict-data/dic-list/${TypeCode}`, {
      method: 'Get',
    });
  },
  /**获取物料单位 */
  getUintList(params, options) {
    return request('/kitchen/api/unit/uint-list', {
      method: 'GET',
      params: {
        ...params,
      },
    });
  },
  /**添加物料单位 */
  addProduct(params, options) {
    return request('/kitchen/api/product/', {
      method: 'POST',
      data: {
        ...params,
      },
    });
  },

  /**修改物料单位 */
  updateProduct(params, options) {
    return request('/kitchen/api/product/', {
      method: 'PUT',
      data: {
        ...params,
      },
    });
  },
  /** 批量删除物料信息*/
  removeProduct(data) {
    return request(`/kitchen/api/product`, {
      method: 'DELETE',
      data: data,
      // ...(options || {}),
    });
  },
  /**获取物料基础信息 */
  getpage(params, options) {
    return request('/kitchen/api/product/product-list', {
      method: 'Post',
      data: params,
    });
  },
  getproductdetailed(params, options) {
    return request('/kitchen/api/product-code-server/product-list', {
      method: 'Post',
      data: params,
    });
  },
  /** 物料状态启用或禁用*/
  updateStatus(data) {
    return request(`/kitchen/api/product/product-status`, {
      method: 'put',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  //根据物料编号查询多包装信息
  BatchList(data) {
    return request(`/kitchen/api/product/product-code/${data}`, {
      method: 'get',
    });
  }
};
